Company logoTrust Center Documentation
API v1 ReferenceNda templatesIdVersionsVersionidActivate

Activate an NDA template version

Activates a specific published version of an NDA template, making it the active version that contacts will sign. This operation: - Deactivates all other…

POST
/api/v1/nda-templates/{id}/versions/{versionId}/activate

Activates a specific published version of an NDA template, making it the active version that contacts will sign. This operation:

  • Deactivates all other versions (sets is_active to false)
  • Activates the specified version (sets is_active to true)
  • Updates the template status to "published"

Only published versions can be activated. Attempting to activate a draft version will return an error.

Authorization

bearerAuth
AuthorizationBearer <token>

API key generated in Admin Center Integrations

In: header

Path Parameters

id*string

Template ID

Formatuuid
versionId*string

Version ID to activate

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/nda-templates/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08/activate"
{  "id": "0d5340f6-8095-47e7-946b-5fad86710e96",  "key": "draft_1706189400000",  "name": "v3",  "status": "published",  "is_active": true,  "date_created": "2024-01-25T12:30:00Z",  "date_updated": "2024-01-25T13:00:00Z"}

How is this guide?